Updates the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f2f66632-a5ac-4b87-98a1-15e91a217c42",
  "user_id": "8af193d1-db5c-4cf9-8ac4-cf87c67eb85b",
  "user_code": "sample string 3",
  "user": {
    "id": "8a8771e5-a67a-4143-b3e6-274fe0ad7fea",
    "db_language_id": "d9ac7e17-4cca-476c-b7d5-ccfd18c89172",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-04-24T11:02:04.7840874+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "ee30bceb-6b24-452a-a1b7-baeef2571e9f",
    "sales_organization": {
      "id": "d9bbedcf-5981-4b7b-b125-a21204112a17",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5ae8e882-d998-40e2-b151-a8a63ef5ed07",
      "db_currency_id": "b16d36bb-a125-444b-a17d-7fee0d1aa213",
      "db_language_id": "460f5f70-f022-4d36-9887-8852adefe0ca",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-04-24T11:02:04.7840874+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "5d3bd604-cb4f-4890-8a44-d4b0eda24334",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "8a9fe135-8c33-4f64-97d6-c37631e9e048",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-04-24T11:02:04.7840874+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "291c5e21-7fd8-4869-8e5d-d8da78566fdd"
  },
  "skill_id": "3b88ad3c-8440-4b7b-bb89-809717224b2f",
  "skill_code": "sample string 5",
  "skill": {
    "id": "8f66f4ea-3694-4f12-ba04-91b89cc78ecf",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "cbb236fd-dac9-4307-bc50-c7663d0f2328",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "d9bbedcf-5981-4b7b-b125-a21204112a17",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5ae8e882-d998-40e2-b151-a8a63ef5ed07",
      "db_currency_id": "b16d36bb-a125-444b-a17d-7fee0d1aa213",
      "db_language_id": "460f5f70-f022-4d36-9887-8852adefe0ca",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-04-24T11:02:04.7840874+00:00"
    },
    "modified_dateutc": "2026-04-24T11:02:04.7840874+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-04-24T11:02:04.7840874+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.